New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Akka 2.5.18 build error in Eclipse #25910

Closed
patriknw opened this Issue Nov 13, 2018 · 4 comments

Comments

Projects
None yet
4 participants
@patriknw
Copy link
Member

patriknw commented Nov 13, 2018

Some Java code that is using Akka extensions don't compile with Akka 2.5.18 in Eclipse. This was due to a regression in Scala compiler 2.12.7, scala/bug#11207

Note, similar build error also exists in IntelliJ, also before Akka 2.5.18, unless the Scala plugin is installed.

@patriknw patriknw added this to the 2.5.19 milestone Nov 13, 2018

@hydbird

This comment has been minimized.

Copy link

hydbird commented Nov 15, 2018

I'm experiencing a similar issue. Using akka 2.5.17 with java 11. I get ambiguous method error in Intellij. But it compiles fine in Eclipse. I thought it was related to scala/bug#11061
Installing Scala plugin for Intellij does not help.

I'm using community edition of Intellij and there is a statement in Scala plugin's description that says:

Support for Play Framework, Akka and Scala.js is enabled only with IntelliJ IDEA Ultimate.

I'm not sure if this is the reason.

@raboof

This comment has been minimized.

Copy link
Member

raboof commented Nov 15, 2018

While indeed IntelliJ Ultimate has some cool additional features for Play, Akka and Scala.js, producing an ambigious method error is definitely not intended, also on the Community edition.

Though it is curious you're seeing it with IntelliJ and not Eclipse rather than vice-versa, hopefully the fix for scala/bug#11207 (to be released in scala 2.12.8, likely Akka 2.5.19) will fix all of these ambiguities.

@patriknw

This comment has been minimized.

Copy link
Member

patriknw commented Nov 15, 2018

Installing Scala plugin for Intellij does not help.

That is strange. I think I tried that with IntelliJ and Akka 2.5.18. (didn't use Java 11 though).
With the Scala plugin installed it was ok, but red squiggles without the plugin.

@hydbird

This comment has been minimized.

Copy link

hydbird commented Nov 15, 2018

Installing Scala plugin for Intellij does not help.

That is strange. I think I tried that with IntelliJ and Akka 2.5.18. (didn't use Java 11 though).
With the Scala plugin installed it was ok, but red squiggles without the plugin.

I believe it's java 11's doing. Because if I'm not mistaken it was compiling on java 8 without error with Intellij with the Scala plugin installed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment